#38 Fail to use precompiled version of dot on MacOS-X

closed
5
2007-01-02
2006-10-05
No

dot version parsing fail on my setup (MacOS-X 10.4.8).
Dot report it's version like this (the MacOS-X precompiled version of Dot)
:
dot - Graphviz version 2.9.20061004.0440 (Wed Oct 4 21:01:52
GMT 2006)

The parser is getting the 'Graphviz' token instead of '2.9.20061004.0440'.

This is a fix that look for the first numeric token instead of simply taking
the third token.

diff -r1.13 Dot.java
21,22c21,26
< tokenizer.nextToken(); // skip 'version'
< tempVersion = tokenizer.nextToken(); // x.x.x
---
> do {
> String tk = tokenizer.nextToken(); // skip
'version'
> if(tk.matches("[0-9.]*")) {
> tempVersion = tk; // x.x.x
> }
> } while (tempVersion == null);

Discussion

  • John Currier

    John Currier - 2006-10-05

    Logged In: YES
    user_id=1264584

    Thanks for figuring out/posting a solution to this
    Jean-François. I'll put it in the next release.

    John

     
  • John Currier

    John Currier - 2006-10-12

    Logged In: YES
    user_id=1264584

    I'm attaching a fixed version of schemaSpy.jar for other
    people that are running into the same issue. This is just a
    temporary solution until the next release.

    John

     
  • John Currier

    John Currier - 2006-10-12

    schemaSpy.jar with Jean-François's fixes

     
  • John Currier

    John Currier - 2006-12-18

    Logged In: YES
    user_id=1264584
    Originator: NO

    This should be resolved in revision 3.1.1.

    John

     
  • John Currier

    John Currier - 2006-12-18
    • status: open --> pending
     
  • SourceForge Robot

    • status: pending --> closed
     
  • SourceForge Robot

    Logged In: YES
    user_id=1312539
    Originator: NO

    This Tracker item was closed automatically by the system. It was
    previously set to a Pending status, and the original submitter
    did not respond within 14 days (the time period specified by
    the administrator of this Tracker).

     
  • sbailey

    sbailey - 2007-06-17

    Logged In: YES
    user_id=1820273
    Originator: NO

    The same error occurs when using Graphviz 2.12 on Windows XP SP2. The updated .jar in this thread fixes the problem.

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks